[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: realpath options
From: |
Jim Meyering |
Subject: |
Re: realpath options |
Date: |
Tue, 03 Jan 2012 13:01:29 +0100 |
Pádraig Brady wrote:
> On 01/03/2012 10:29 AM, Jim Meyering wrote:
>
>>> On 01/03/2012 12:30 AM, Bruno Haible wrote:
>
>>>> How about '--no-symlinks'?
>
>> Please add a comment something like this near the --strip option:
>> /* FIXME: deprecate in 2013 or so */
>
> OK I've pushed with those adjustments.
Thanks.
"make distcheck" failed the part when it runs from a build directory
whose name contains a space. Note the "a b" part:
FAIL: misc/realpath
===================
...
+ test /h/j/w/co/cu/tests/torture/taint/a
b/coreutils-8.14.114-77ea4/tests/gt-realpath.iboP/ldir2 =
'/h/j/w/co/cu/tests/torture/taint/a
b/coreutils-8.14.114-77ea4/tests/gt-realpath.iboP/ldir2'
./misc/realpath: line 46: test: too many arguments
Here's the fix:
>From 520b69ce36a71f83772e7d2bfeed7aefd1bc4f6f Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Tue, 3 Jan 2012 12:58:37 +0100
Subject: [PATCH] tests: adjust realpath test to avoid "make distcheck"
failure
* tests/misc/realpath: Quote lhs of test ... = ..., so that
when $PWD contains a space (like it does via "make distcheck"),
the test does not fail
---
tests/misc/realpath | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/tests/misc/realpath b/tests/misc/realpath
index 4b1e1f1..fb01393 100755
--- a/tests/misc/realpath
+++ b/tests/misc/realpath
@@ -41,9 +41,9 @@ realpath -m '' && fail=1
# symlink resolution
this=$(realpath .)
-test $(realpath $relative ldir2/..) = "$this/dir1" || fail=1
-test $(realpath -L $relative ldir2/..) = "$this" || fail=1
-test $(realpath -s $relative ldir2) = "$this/ldir2" || fail=1
+test "$(realpath $relative ldir2/..)" = "$this/dir1" || fail=1
+test "$(realpath -L $relative ldir2/..)" = "$this" || fail=1
+test "$(realpath -s $relative ldir2)" = "$this/ldir2" || fail=1
# relative string handling
test $(realpath -m --relative-to=prefix prefixed/1) = '../prefixed/1' || fail=1
--
1.7.8.1.391.g2c2ad